Agent Access guide
curl --request GET \
--url https://api.anchorbrowser.io/v1/agent-accessimport requests
url = "https://api.anchorbrowser.io/v1/agent-access"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anchorbrowser.io/v1/agent-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purpose": "<string>",
"docs": "<string>",
"credits": {
"anonymous": 123,
"with_identity": 123
},
"ttl_seconds": 123,
"limits": {
"session_max_duration_minutes": 123
},
"flow": [
{
"step": 123,
"path": "<string>",
"why": "<string>"
}
],
"next": {
"path": "<string>",
"description": "<string>"
},
"identity": {
"optional": true,
"extra_credits": 123,
"submit": "<string>",
"oidc": [
{
"provider": "<string>",
"issuer": "<string>",
"how": "<string>"
}
]
}
}{
"error": "<string>",
"next": {
"path": "<string>",
"description": "<string>"
},
"docs": "https://docs.anchorbrowser.io/quickstart/agent-access"
}Agent Access
Agent Access guide
Unauthenticated onboarding guide. This GET does not issue an API key.
Follow the next field: GET /v1/agent-access/challenge, solve, then POST /v1/agent-access
with { token, answer }. Optional identity_token (OIDC JWT) grants more credits.
Docs: https://docs.anchorbrowser.io/quickstart/agent-access
GET
/
v1
/
agent-access
Agent Access guide
Response
Ordered flow. Follow next.
What Agent Access is for.
Human-readable guide URL.
Show child attributes
Show child attributes
Challenge token TTL in seconds.
Show child attributes
Show child attributes
All onboarding steps in order. For the immediate action, prefer next.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

